#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = -Wno-non-virtual-dtor

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### gwsoap (shared) ###########################

tde_add_library( gwsoap SHARED AUTOMOC
  SOURCES
    contactconverter.cpp gwconverter.cpp incidenceconverter.cpp groupwiseserver.cpp
    gwjobs.cpp ksslsocket.cpp soapC.cpp soapClient.cpp stdsoap2.cpp
  VERSION 0.0.0
  LINK tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
